Subject: Re: [Bugme-new] [Bug 12877] New: tg3: eth0 transit timed out, resetting -> dead NIC

From: "Michael Chan" <[email-masked]>
Date: Tue, 17 Mar 2009 16:30:34 -0700

On Tue, 2009-03-17 at 15:09 -0700, Bernhard Schmidt wrote:
> Attached, both after the crash (tg3.crashed) and after I reloaded the 
> module (tg3.reloaded). Additional info, ifdown/ifup does not fix the 
> situation, both take pretty long
> 

Thanks for the information.  The memory enable bit in the PCI command
register was cleared during tx_timeout.  That's why all the registers
were reading 0xffffffff.  The tx_timeout code in tg3 would not be able
to reset the chip if that bit was cleared.  We need to find out why that
bit was cleared.  We should also enhance the tx timeout code so that it
can recover more completely even if the memory enable bit is cleared.

Thanks.